Unofficial XULRunner 1.9.1 Builds

It’s taking a while to get nightly XULRunner 1.9.1 builds available. At this point, I’d like to have nightly XULRunner 1.9.2 builds available too. In order to help anyone that really wants to start building against XULRunner 1.9.1, I made some unofficial runtime and SDK builds.

These are unofficial (I’ve mentioned that three times) and may not be configured exactly the same as official builds. I was not able to get the Mac Universal build working. I was not able to package a Mac runtime. Macs hate me.

If you’re an extension, XUL app or plugin developer, these builds should help you move ahead with your Firefox 3.1 (Mozilla 1.9.1) development. If you find a drastic problem with the builds, please let me know (comments/email).

9 Comments

  1. Roman Lacko said,

    January 16, 2009 @ 12:08 pm

    Thanks,
    i was waiting for these builds so long

    Regards
    R.Lacko

  2. Roman Lacko said,

    January 16, 2009 @ 12:22 pm

    Mark,

    is there any plans to realease updated pyxpcom extensions for xulrunner 1.9.1 ?

    Thanks
    R. Lacko

  3. Wladimir Palant said,

    January 17, 2009 @ 2:42 pm

    Thanks Mark. Finally something to compare our builds against.

  4. MF said,

    January 18, 2009 @ 8:47 am

    Hi,

    I have a USB Lock that works fine with IE, but I can not access its ActiveX or dll with Firefox.

    I decided to write a XPCOM object and access dll with it, is this true way? Do you have any idea?

    Is there any simpler way to access the dll?

  5. Daniel Kirsch said,

    January 21, 2009 @ 6:58 am

    Am I missing something? When starting my xulrunner app on windows XP with the downloaded 1.9.1 build, nothing happens.
    Im running my app with the old command line
    \xulrunner\xulrunner.exe –app “application.ini”

    Thanks for any hints.
    Daniel

  6. wonea said,

    January 23, 2009 @ 3:36 pm

    Is there release documentation of what is to be included?

  7. Eduardo said,

    January 26, 2009 @ 4:09 pm

    I’m trying to run my xulrunner application on Windows XP (1.9.1b3pre and 1.9.2a1pre) and on both I get an “Couldn’t load XPCOM” error. Any workaround?

  8. Vladimir Dzhuvinov said,

    January 28, 2009 @ 7:33 am

    Up and running, everything good so far :)

    10x!

  9. Mark Finkle said,

    January 28, 2009 @ 11:39 am

    @Daniel & Eduardo – Post to the newsgroups or, better yet, visit the #xulrunner channel on Mozilla IRC

RSS feed for comments on this post